string.cpp File Reference
`#include <wibble/string.h>`
`#include <wibble/exception.h>`
`#include <stack>`
`#include <cstdio>`
`#include <cstdlib>`
`#include <cstdarg>`
Include dependency graph for string.cpp:

## Namespaces

| wibble
| wibble::str

## Functions

std::string | wibble::str::fmtf (const char *f,...)
std::string | wibble::str::fmt (const char *f,...)
std::string | wibble::str::normpath (const std::string &pathname)
| Normalise a pathname. More...
std::string | wibble::str::urlencode (const std::string &str)
| Urlencode a string. More...
std::string | wibble::str::urldecode (const std::string &str)
| Decode an urlencoded string. More...
std::string | wibble::str::encodeBase64 (const std::string &str)
| Encode a string in Base64. More...
std::string | wibble::str::decodeBase64 (const std::string &str)
| Decode a string encoded in Base64. More...
std::string | wibble::str::c_escape (const std::string &str)
| Escape the string so it can safely used as a C string inside double quotes. More...
std::string | wibble::str::c_unescape (const std::string &str, size_t &lenParsed)
| Unescape a C string, stopping at the first double quotes or at the end of the string. More...